<?php
define('IN_PHPBB', true);
$phpbb_root_path = './';
// connect to phpbb
include_once($phpbb_root_path . 'extension.inc');
include_once($phpbb_root_path . 'common.'.$phpEx);
include_once($phpbb_root_path . 'includes/bbcode.'.$phpEx);
include_once($phpbb_root_path . 'includes/functions.'.$phpEx);
//
// Start session management
//
$userdata = session_pagestart($user_ip, $forum_id);
init_userprefs($userdata);
//
// End session management
//
make_jumpbox('viewforum.'.$phpEx, $forum_id);
//
// Output page header
//

$page_title = "Wild Fortress Stats";
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

?>

<html>
<head>
<title>
Ladle Stats
</title>
</head>
<h1 align=center>Ladle Stats</h1>
<?php

?>

<br>


<table align=center border=0 cellpadding=2 cellspacing=1>
 <tr class="buttons-table">
  <td class="buttons-buttons">Find Me</td>
  <td><form method="post" action=<?php print($_SERVER['PHP_SELF']); ?>>
   <input type="text" name="search" size="15"></input></td>
  <td><input type="submit" value="Go!"></input></form></td>
 </tr>
</table>


<?php



//print ("hello " . $_REQUEST['search'] . " yeah" );

$limit="GROUP BY player";

if (!(isset($_GET['type'])))
    $type="ladder";
else if  (!( isset($_REQUEST['search']) ))
    $type = $_GET['type'];

if ( $type == "ladder" ) {
    $sort="$limit ORDER BY ladder DESC";
    $title="Ladder";
}
if ( $type == "percentage_won" ) {
    $sort="$limit ORDER BY page_won DESC";
    $title="Percentage of Rounds Won";
} 
else if ( $type == "top_ave_scorer" ) {
    $sort="$limit ORDER BY ave_points DESC";
    $title="Top Average Points per Round";
}
else if ( $type == "top_coredumper" ) {
    $sort="$limit ORDER BY ave_dumps DESC";
    $title="Top Coredumper";
}
else if ( $type == "least_coredumped" ) {
    $sort="$limit ORDER BY ave_dumped ASC";
    $title="Least Coredumped";
}
else if ( $type == "least_teamkills" ) {
    $sort="$limit ORDER BY ave_tker ASC";
    $title="Least Teamkills";
}
else if ( $type == "least_teamkilled" ) {
    $sort="$limit ORDER BY ave_tked ASC";
    $title="Least Teamkilled";
}
else if ( $type == "least_suicides" ) {
    $sort="$limit ORDER BY ave_suicide ASC";
    $title="Least Suicides";
}

if ( isset($_REQUEST['search']) ) {
    $sort="AND player LIKE \"%" . mysql_escape_string($_REQUEST['search']) . "%\" GROUP BY player ORDER BY ladder DESC";
    //print ("hello " . $_REQUEST['search'] . " yeah" );
    $title="Results for \"" . $_REQUEST['search'] . "\"";
}

    print( '<h1 align=center>Now Showing: ' . $title . '</h1>
          <p align=center>(click on some headings to change sort column)</p>');
$query="
    SELECT
        player,
        SUM(dumps) AS dumps,
        SUM(dumps)/(SUM(rounds_won)+SUM(rounds_lost)) AS ave_dumps,
        SUM(dumped) AS dumped,
        SUM(dumped)/(SUM(rounds_won)+SUM(rounds_lost)) AS ave_dumped,
        SUM(tker) AS tker,
        SUM(tker)/(SUM(rounds_won)+SUM(rounds_lost)) AS ave_tker,
        SUM(tked) AS tked,
        SUM(tked)/(SUM(rounds_won)+SUM(rounds_lost)) AS ave_tked,
        SUM(suicide) AS suicide,
        SUM(suicide)/(SUM(rounds_won)+SUM(rounds_lost)) AS ave_suicide,
        SUM(rounds_won) AS rounds_won,
        SUM(rounds_lost) AS rounds_lost,
        SUM(rounds_won)+SUM(rounds_lost) AS total_rounds,
        SUM(rounds_won)/(SUM(rounds_won)+SUM(rounds_lost)) AS page_won,
        SUM(points) AS points,
        SUM(points)/(SUM(rounds_won)+SUM(rounds_lost)) AS ave_points,

        ( 
            ( SUM(rounds_won)/(SUM(rounds_won)+SUM(rounds_lost)) )* 
            (
            ( SUM(dumps)/(SUM(rounds_won)+SUM(rounds_lost)) ) -
            ( SUM(dumped)/(SUM(rounds_won)+SUM(rounds_lost)) ) -
            ( SUM(suicide)/(SUM(rounds_won)+SUM(rounds_lost)) ) -
            ( SUM(tked)/(SUM(rounds_won)+SUM(rounds_lost)) )
            )
            * 100
        ) AS ladder



    FROM
        ladder_count
    WHERE server=\"ladle\"
    $sort
    LIMIT 100

";
//echo $query;
$result=mysql_query($query) or die(mysql_error());
$num=mysql_numrows($result);

if ( isset($_REQUEST['search']) && $num==0 ) {
    print ("<p align=center>Sorry, " . $_REQUEST['search'] . " not found</p>" );
}

?>
<table width=1000 align=center border=0 cellpadding=2 cellspacing=1>
 <tr class="buttons-table">
  <td align=center width=50 class="buttons-buttons">Rank</td>
  <td align=center width=150 class="buttons-buttons">Player</td>
  <td align=center width=80 class="buttons-buttons" colspan="4">Rounds</td>
  <td align=center width=80 class="buttons-buttons" colspan="2">Coredumps</td>
  <td align=center width=80 class="buttons-buttons" colspan="2">Coredumped</td>
  <td align=center width=80 class="buttons-buttons" colspan="2">Teamkills</td>
  <td align=center width=80 class="buttons-buttons" colspan="2">Teamkilled</td>
  <td align=center width=80 class="buttons-buttons" colspan="2">Suicides</td>
  <td align=center width=80 class="buttons-buttons" colspan="2">Points</td>
  <td align=center width=80 class="buttons-buttons" colspan="1">Ladder</td>
 </tr>
 <tr class="buttons-table">
  <td align=center width=50 class="buttons-buttons"></td>
  <td align=center width=150 class="buttons-buttons"></td>
  <td align=center width=80 class="buttons-buttons">won</td>
  <td align=center width=80 class="buttons-buttons">lost</td>
  <td align=center width=80 class="buttons-buttons">total</td>
  <td align=center width=80 class="buttons-buttons"><a href="?type=percentage_won"><font color=#ffff00>%won</font></a></td>
  <td align=center width=80 class="buttons-buttons">total</td>
  <td align=center width=80 class="buttons-buttons"><a href="?type=top_coredumper"><font color=#ffff00>ave</font></a></td>
  <td align=center width=80 class="buttons-buttons">total</td>
  <td align=center width=80 class="buttons-buttons"><a href="?type=least_coredumped"><font color=#ffff00>ave</a></td>
  <td align=center width=80 class="buttons-buttons">total</td>
  <td align=center width=80 class="buttons-buttons"><a href="?type=least_teamkills"><font color=#ffff00>ave</a></td>
  <td align=center width=80 class="buttons-buttons">total</td>
  <td align=center width=80 class="buttons-buttons"><a href="?type=least_teamkilled"><font color=#ffff00>ave</a></td>
  <td align=center width=80 class="buttons-buttons">total</td>
  <td align=center width=80 class="buttons-buttons"><a href="?type=least_suicides"><font color=#ffff00>ave</font></a></td>
  <td align=center width=80 class="buttons-buttons">total</td>
  <td align=center width=80 class="buttons-buttons"><a href="?type=top_ave_scorer"><font color=#ffff00>ave</font></a></td>
  <td align=center width=80 class="buttons-buttons"><a href="?type=ladder"><font color=#ffff00>sort</font></a></td>
 </tr>
<?php
$rank=1;

for ($i=0; $i < $num; $i++) {

    if ( $i % 2 ) {
        $grey="#7a7a7a";
    } else {
        $grey="#595959";
    }

    print("<tr bgcolor=$grey><td align=right><font color=#c8c8c8><b>" . $rank++ . "</b></font></td>");
    print("<td align=left><font color=#c8c8c8>" . mysql_result($result,$i,"player") . "</font></td>");
    print("<td align=right><font color=#c8c8c8><b>" . mysql_result($result,$i,"rounds_won") . "</b></font></td>");
    print("<td align=right><font color=#c8c8c8>" . mysql_result($result,$i,"rounds_lost") . "</font></td>");
    print("<td align=right><font color=#c8c8c8><b>" . mysql_result($result,$i,"total_rounds") . "</b></font></td>");
    printf("<td align=right><font color=#c8c8c8>%5.2f</font></td>", mysql_result($result,$i,"page_won") * 100 );
    print("<td align=right><font color=#c8c8c8><b>" . mysql_result($result,$i,"dumps") . "</b></font></td>");
    printf("<td align=right><font color=#c8c8c8>%5.2f</font></td>", mysql_result($result,$i,"ave_dumps") );
    print("<td align=right><font color=#c8c8c8><b>" . mysql_result($result,$i,"dumped") . "</b></font></td>");
    printf("<td align=right><font color=#c8c8c8>%5.2f</font></td>", mysql_result($result,$i,"ave_dumped") );
    print("<td align=right><font color=#c8c8c8><b>" . mysql_result($result,$i,"tker") . "</b></font></td>");
    printf("<td align=right><font color=#c8c8c8>%5.2f</font></td>", mysql_result($result,$i,"ave_tker") );
    print("<td align=right><font color=#c8c8c8><b>" . mysql_result($result,$i,"tked") . "</b></font></td>");
    printf("<td align=right><font color=#c8c8c8>%5.2f</font></td>", mysql_result($result,$i,"ave_tked") );
    print("<td align=right><font color=#c8c8c8><b>" . mysql_result($result,$i,"suicide") . "</b></font></td>");
    printf("<td align=right><font color=#c8c8c8>%5.2f</font></td>", mysql_result($result,$i,"ave_suicide") );
    print("<td align=right><font color=#c8c8c8><b>" . mysql_result($result,$i,"points") . "</b></td></font>");
    printf("<td align=right><font color=#c8c8c8>%5.2f</font></td>", mysql_result($result,$i,"ave_points") );
    printf("<td align=right><font color=#c8c8c8><b>%5.2f</b></font></td></tr>", mysql_result($result,$i,"ladder") );

}
?>
</table>
</body>
</html>
<?php
include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
?>
