
-- 
-- Table structure for table `ladder_count`
-- 

CREATE TABLE `ladder_count` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `server` varchar(20) default NULL,
  `player` varchar(20) character set latin1 collate latin1_bin default NULL,
  `user_id` int(11) NOT NULL,
  `ip` varchar(16) NOT NULL,
  `dumps` int(11) NOT NULL default '0',
  `dumped` int(11) default '0',
  `tker` int(11) NOT NULL default '0',
  `tked` int(11) NOT NULL default '0',
  `suicide` int(11) NOT NULL default '0',
  `rounds_won` int(11) NOT NULL default '0',
  `rounds_lost` int(11) NOT NULL default '0',
  `matches_won` int(11) NOT NULL default '0',
  `matches_lost` int(11) NOT NULL default '0',
  `points` int(11) NOT NULL default '0',
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  KEY `ladder_count_time_i` (`time`)
) ENGINE=MyISAM AUTO_INCREMENT=22977 DEFAULT CHARSET=utf8 AUTO_INCREMENT=22977 ;

-- 
-- Table structure for table `ladder_dumps`
-- 

CREATE TABLE `ladder_dumps` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `server` varchar(20) NOT NULL,
  `dumper` varchar(20) NOT NULL,
  `dumper_id` int(11) NOT NULL default '0',
  `dumper_ip` varchar(16) NOT NULL default '0',
  `dumped` varchar(20) NOT NULL,
  `dumped_id` int(11) NOT NULL default '0',
  `dumped_ip` varchar(16) NOT NULL default '0',
  `dumps` int(11) NOT NULL default '0',
  `tkills` int(11) NOT NULL default '0',
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=178093 DEFAULT CHARSET=utf8 AUTO_INCREMENT=178093 ;

-- 
-- Table structure for table `ladder_ips`
-- 

CREATE TABLE `ladder_ips` (
  `id` int(11) NOT NULL auto_increment,
  `server` varchar(16) NOT NULL,
  `user_id` int(11) NOT NULL default '0',
  `username` varchar(16) NOT NULL,
  `ip_address` varchar(16) NOT NULL,
  `time_entered` datetime default NULL,
  `time_left` datetime default NULL,
  `points` int(11) default NULL,
  `team` varchar(16) default NULL,
  `team_points` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=22458 DEFAULT CHARSET=utf8 AUTO_INCREMENT=22458 ;
